EnumConverter (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.css.converter, class: EnumConverter

# Class EnumConverter<E extends Enum<E>>

java.lang.Object
javafx.css.StyleConverter<String,E>
javafx.css.converter.EnumConverter<E>

Type Parameters:
  `E` - the enum type

public final class EnumConverter<E extends Enum<E>> extends StyleConverter<String,E>
Converter to convert a string representation of an `Enum` to an `Enum`.

Since:
  9

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class StyleConverter

  `StyleConverter.StringStore`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnumConverter(Class<E> enumClass)`
  Creates an `EnumConvertor` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StyleConverter<?,?>`
  `getInstance(String ename)`
  Gets an `EnumConverter` instance for a given enum name.
  `static StyleConverter<?,?>`
  `readBinary(DataInputStream is, String[] strings)`
  Reads binary `StyleConverter` data from a given `DataInputStream`.

  ### Methods declared in class StyleConverter

  `cacheValue, clearCache, convert, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, writeBinary`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnumConverter

    public EnumConverter(Class<E> enumClass)
    Creates an `EnumConvertor` object.
    Parameters:
      `enumClass` - enum class

- ## Method Details

  - ### readBinary

    public static StyleConverter<?,?> readBinary(DataInputStream is, String[] strings) throws IOException
    Reads binary `StyleConverter` data from a given `DataInputStream`.
    Parameters:
      `is` - `DataInputStream` to read `StyleConverter` data from
      `strings` - string array containing StyleConverter details
    Returns:
      a `StyleConverter` from read binary data
    Throws:
      `IOException` - if reading from `DataInputStream` fails

  - ### getInstance

    public static StyleConverter<?,?> getInstance(String ename)
    Gets an `EnumConverter` instance for a given enum name.
    Parameters:
      `ename` - enum name
    Returns:
      an `EnumConverter` instance for a given enum name.